import { MIDDLEWARE_PATH_SEGMENT_NAME } from "../../constants.js";
const MIDDLEWARE_MODULE_ID = "@astro-middleware";
function vitePluginMiddleware(opts, _internals) {
  return {
    name: "@astro/plugin-middleware",
    async resolveId(id) {
      if (id === MIDDLEWARE_MODULE_ID) {
        const middlewareId = await this.resolve(
          `${opts.settings.config.srcDir.pathname}/${MIDDLEWARE_PATH_SEGMENT_NAME}`
        );
        if (middlewareId) {
          return middlewareId.id;
        }
      }
    }
  };
}
function pluginMiddleware(opts, internals) {
  return {
    build: "ssr",
    hooks: {
      "build:before": () => {
        return {
          vitePlugin: vitePluginMiddleware(opts, internals)
        };
      }
    }
  };
}
export {
  MIDDLEWARE_MODULE_ID,
  pluginMiddleware,
  vitePluginMiddleware
};
